%define name gfcc
%define version 0.7.4
%define release 2

Name: %{name}
Version: %{version}
Release: %{release}
Summary: GTK+ Firewall Control Center
Source0: %{name}-%{version}.tar.bz2
Patch0: gfcc-0.7.4.patch
URL: http://icarus.autostock.co.kr/ 
Copyright: GPL
Group: X11/Applications
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
Requires: ipchains
Requires: gtk+ >= 1.2.0
Prefix: /usr/X11R6

%description
gfcc (GTK+ Firewall Control Center) is a GTK+ application which can control
Linux firewall policies and rules, based on ipchains package. 

%prep
%setup -q 
%patch

%build
(  tar xvfz libipfwc.tar.gz;  cd libipfwc; make CFLAGS="$RPM_OPT_FLAGS")
./configure --with-ipfwc=./libipfwc --datadir=%{prefix}/share
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gfcc/rules

make prefix=$RPM_BUILD_ROOT%{prefix} datadir=$RPM_BUILD_ROOT%{prefix}/share \
  install

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.ko TODO
%{prefix}/bin/*
%{prefix}/share/gfcc/*

%changelog
* Mon Sep  4 2000 Werner Bosse <wbosse@berlin.snafu.de>
- built 0.7.4-2 on RH 6.2
- more robust check for kernel rev. in configure

* Fri Mar 17 2000 Simon Matter <simix.datacomm.ch>
- Upgrade to 0.7.4

* Sun Jan 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.3-3mdk
- Use a %_configure.

* Tue Dec  7 1999 Philippe Libat <philippe@mandrakesoft.com>
- added --datadir
- Add doc

* Tue Nov 23 1999 Philippe Libat <philippe@mandrakesoft.com>
- Upgrade to 0.7.3

* Sat Nov 20 1999 Jarkko Haapalainen <eagle@opp.ysakk.fi>
- Updated to 0.7.2.1 and little updates to .spec file

* Fri Aug 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add

* Wed Aug 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec

* Thu Jul 01 1999 Gianluca Granero <granero@usa.net>
 Updated to 0.7.0

* Mon Jun 07 1999 Gianluca Granero <granero@usa.net>
- First RPM package

# end of file
